<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>5. lekce</title>
</head>
<body>
    
    <div id="root">
        <h1 id="muj-nadpis" class="headings" name="page-title">Muj TODO seznam ukolu</h1>
        <h2 class="headings">Todo je nadpis na 2. urovni</h2>
        <p>Toto je muj seznam. Budu umet pridavat nove ukoly a splnene ukoly oznacovat jako hotove.</p>

        <div id="test"></div>
    </div>

    <script>

        const documentHeading1 = document.getElementById("muj-nadpis");
        console.log(documentHeading1);

        const documentHeading2 = document.getElementsByTagName("h1");
        console.log(documentHeading2);
   
        const documentHeading3 = document.getElementsByClassName("headings");
        console.log(documentHeading3);

        const documentHeading4 = document.querySelector("#muj-nadpis");
        console.log(documentHeading4);

        const documentHeading5 = document.querySelectorAll(".headings");
        console.log(documentHeading5);

        const documentHeading6 = document.querySelectorAll('[name="page-title"]');
        console.log(documentHeading6);


    </script>

    <!--
        <ul>
            <li>hra 1</li>
            <li>hra 2</li>
        </ul>
    -->

</body>
</html>